<?xml version="1.0" encoding="UTF-8"?>
<xliff xmlns="urn:oasis:names:tc:xliff:document:1.1" version="1.1">
  <file original="NoName" source-language="en" datatype="plaintext" target-language="en">
    <body>
      <trans-unit xml:space="preserve" approved="no" id="30c5a28d86adb607" weblate-flags="read-only">
        <source>TCP basics</source>
        <target state="translated">TCP basics</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/tcp.rst</context>
          <context context-type="linenumber">6</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="cd61d84c1788ca0b" weblate-flags="read-only">
        <source>TCP is one of the key protocols in today's Internet. A TCP connection always starts with a three-way handshake. The exercises below should help you to improve your understandings of this first phase of a TCP connection.</source>
        <target state="translated">TCP is one of the key protocols in today's Internet. A TCP connection always starts with a three-way handshake. The exercises below should help you to improve your understandings of this first phase of a TCP connection.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/tcp.rst</context>
          <context context-type="linenumber">9</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="5a0f87e1aa7ddf10" weblate-flags="read-only">
        <source>Once the connection is established, the client and the server can exchange data and acknowledgments.</source>
        <target state="translated">Once the connection is established, the client and the server can exchange data and acknowledgments.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/tcp.rst</context>
          <context context-type="linenumber">25</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="810f3df263f53d4b" weblate-flags="read-only">
        <source>A connection ends with the transmission of segments that include the `FIN` flag that marks the end of the data transfer.</source>
        <target state="translated">A connection ends with the transmission of segments that include the `FIN` flag that marks the end of the data transfer.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/tcp.rst</context>
          <context context-type="linenumber">37</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="f4b00a5c98152c59" weblate-flags="read-only">
        <source>TCP can be extended by using options that are negotiated during the three-way handshake.</source>
        <target state="translated">TCP can be extended by using options that are negotiated during the three-way handshake.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/tcp.rst</context>
          <context context-type="linenumber">43</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="e3d6be18048e721a" weblate-flags="read-only">
        <source>With your knowledge of TCP, you should now be able to reorder all the segments exchanged over a TCP connection.</source>
        <target state="translated">With your knowledge of TCP, you should now be able to reorder all the segments exchanged over a TCP connection.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/tcp.rst</context>
          <context context-type="linenumber">52</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="c463aea6549199a2" weblate-flags="read-only">
        <source>Footnotes</source>
        <target state="translated">Footnotes</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/tcp.rst</context>
          <context context-type="linenumber">63</context>
        </context-group>
      </trans-unit>
    </body>
  </file>
</xliff>
